Version 3.14.2
~~~~~~~~~~~~~~
Released: 2014-11-10

* New Features:
 - Add the origin as a keyword if it's not the majority source (Richard Hughes)
 - Support the LOCAL AppStream icon type (Richard Hughes)

* Bugfix:
 - Do not fail to get popular apps if the AppStream data is invalid (Richard Hughes)
 - Do not show a random white line above the star rating widget (Richard Hughes)
 - Do not show empty app boxes if no popular results are available (Richard Hughes)
 - Do not try to download local web-app icons (Richard Hughes)
 - Fix screenshot loading with --details (Kalev Lember)
 - Use blue stars for the user-ratings rather than yellow/gold (Richard Hughes)

Version 3.14.1
~~~~~~~~~~~~~~
Released: 2014-10-13

* Translations:
 - New Afrikaans translation (Friedel Wolff)
 - Updated Arabic translation (Abderrahim Kitouni, Shuaib Zahda and Safa Alfulaij)
 - Updated Chinese (Taiwan) translation (Cheng-Chia Tseng)
 - Updated Italian translation (Gianvito Cavasoli)
 - Updated Latvian translation (Rūdolfs Mazurs)
 - Updated Russian translation (Stas Solovey)
 - Updated Serbian translation (Мирослав Николић)
 - Updated Traditional Chinese translation (Iris Gou)

* New Features:
 - Load 128x128 icons if they are installed on HiDPI hardware (Richard Hughes)
 - Try to load HiDPI screenshots on HiDPI hardware (Richard Hughes)

* Bugfix:
 - Always load the fallback icon at 64x64 size (Richard Hughes)
 - Avoid flickering the spinner during find-as-you-type (Kalev Lember)
 - Avoid restarting spinner animation when repeatedly calling start (Kalev Lember)
 - Clear all existing applications if the store was invalidated (Richard Hughes)
 - Destroy the sources dialog when it's closed (Kalev Lember)
 - Disable text shadow for the updates counter label (Kalev Lember)
 - Don't allow cancelling appstream plugin plugin startup (Kalev Lember)
 - Don't crash when the moduleset data is not yet installed (Richard Hughes)
 - Don't ignore duplicate searches (Kalev Lember)
 - Don't show addons that are in unavailable state (Kalev Lember)
 - Don't warn for cancelled operations (Kalev Lember)
 - First run dialog nonresizable and corrected margins (Rafal Luzynski)
 - Fix a race with displaying results from shell search provider (Kalev Lember)
 - Make --details work again (Kalev Lember)
 - Make search cancelling quicker (Kalev Lember)
 - Plug a leak when adding apps to the list of updates (Kalev Lember)
 - Plug a memory leak when refining addons (Kalev Lember)
 - Reload the all the shells when the AppStream metadata changes (Richard Hughes)

Version 3.14.0
~~~~~~~~~~~~~~
Released: 2014-09-22

* Translations:
 - Added Nepali translation (Pawan Chitrakar)
 - Updated Danish translation (Kenneth Nielsen, Kris Thomsen)
 - Updated Greek translation (Tom Tryfonidis)
 - Updated Thai translation (Akom Chotiphantawanon)
 - Updated Ukrainian translation (Daniel Korostil)

* Bugfix:
 - Fit better on 1024x768 screens (Kalev Lember)
 - Fix an issue that prevented closing the app folder dialog under certain
   circumstances (Florian Müllner)

Version 3.13.92
~~~~~~~~~~~~~~~
Released: 2014-09-15

* Translations:
 - Updated Assamese translation (Nilamdyuti Goswami)
 - Updated Brazilian Portuguese translation (Enrico Nicoletto)
 - Updated Catalan translation (Gil Forcada)
 - Updated Catalan (Valencian) translation (Carles Ferrando)
 - Updated Czech translation (Marek Černocký)
 - Updated Finnish translation (Jiri Grönroos)
 - Updated French translation (Alexandre Franke)
 - Updated Galician translations (Fran Diéguez)
 - Updated German translation (Christian Kirbach)
 - Updated Hebrew translation (Yosef Or Boczko)
 - Updated Hungarian translation (Balázs Úr)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Korean translation (Seong-ho Cho)
 - Updated Lithuanian translsation (Aurimas Černius)
 - Updated Norwegian bokmål translation. (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Punjabi translation (A S Alam)
 - Updated Russian translation (Yuri Myasoedov)
 - Updated Slovak translation (Dušan Kazik)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Swedish translation (Mattias Eriksson)

* New Features:
 - Use the new PackageKit 1.0.0 'Offline' interface to do offline updates
   (Richard Hughes)

* Bugfix:
 - Fix a number of crashes that stemmed from us incorrectly using the gtk+ API
   from worker threads (Kalev Lember)
 - Don't use thread unsafe g_main_context_find_source_by_id (Kalev Lember)
 - Avoid crashing on kind changes on "core" apps (Kalev Lember)
 - Fix a crash when going back from Details view after having installed an app
   (Kalev Lember)
 - Improve the Installed page to not show duplicate entries after having
   refreshed updates (Kalev Lember)
 - Fix the gnome-software UI not showing up after using gnome-shell search
   (Kalev Lember)
 - Don't show core packages like kernel and glibc under Add-ons (Richard Hughes)
 - Remove unused PackageKit runtime-updates and search plugins (Richard Hughes)
 - When searching returns addons, return the application they extend (Richard Hughes)
 - ... and a number of other crasher and correctness fixes for various corner
   cases (Kalev Lember)

Version 3.13.91
~~~~~~~~~~~~~~~
Released: 2014-09-02

* Translations:
 - Added Assamese translation (Nilamdyuti Goswami)
 - Updated Brazilian Portuguese translation (Enrico Nicoletto)
 - Updated Chinese (Taiwan) translation (Cheng-Chia Tseng)
 - Updated Czech translation (Marek Černocký)
 - Updated French translation (Alain Lojewski, Alexandre Franke)
 - Updated Galician translations (Fran Diéguez)
 - Updated Greek translation (Tom Tryfonidis)
 - Updated Norwegian bokmål translation. (Kjartan Maraas)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Traditional Chinese translation (Hong Kong and Taiwan) (Chao-Hsiung Liao)

* New Features:
 - Support the new HighContrast kudo (Richard Hughes)

* Bugfix:
 - Avoid resizing tiles during initial front page load (Kalev Lember)
 - Improve the "Installed" label positioning on the front page tiles (Kalev Lember)
 - Do not use the GTK icon cache when loading AppStream icons (Richard Hughes)
 - Improve the category sidebar sizing (Kalev Lember)
 - Focus the search entry on keypress (Elad Alfassa)
 - Make screenshot selection work again (Matthias Clasen)
 - Reload pages in the software center when the updates cache is changed or
   when another tool touches the package database (Richard Hughes)
 - Improve robustness with the "Restart & Install" shutdown dialog (Kalev Lember)
 - Do not show QT versions of applications where a GTK version is available (Richard Hughes)
 - Remove the DesktopDB database plugin (Richard Hughes)
 - Fix compile for people using appstream-glib from git master (Richard Hughes)
 - Fix occasional search-as-you-type crash (Richard Hughes)
 - Do not create Epiphany webapps with double .desktop prefix (Kalev Lember)
 - Fix an issue that caused duplicate search results (Richard Hughes)
 - Sort by the search match value when displaying multiple apps (Richard Hughes)
 - Update hardcoded desktop file names after latest renames (Kalev Lember)
 - Allow translation of the 'and' and 'or' terms in the project license (Richard Hughes)

Version 3.13.90
~~~~~~~~~~~~~~~
Released: 2014-08-19

* Translations:
 - Updated Finnish translation (Lasse Liehu)
 - Updated Greek translation (Tom Tryfonidis)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Ukrainian translation (Daniel Korostil)
 - Updated zh_CN translation (irisgyq)

* New Features:
 - Add a few more non-gnome games to the random list (Kalev Lember)
 - Add HighContrast icons (Kalev Lember)
 - Implement getting popular apps from a specific category (Kalev Lember)
 - Show popular games as a separate section in the landing page (Kalev Lember)
 - Show the star ratings in more places (Kalev Lember)
 - Suggest applications if other apps from the same source package are installed (Richard Hughes)

* Bugfix:
 - Add icon directory to theme search path. (William Hua)
 - Avoid a visible redraw when switching to the updates page (Kalev Lember)
 - Change the recommended apps category each day (Kalev Lember)
 - Do not fail to start when there is no network (Richard Hughes)
 - Drop deprecated use of stock icons (Kalev Lember)
 - Drop the use of deprecated margin-left/right (Kalev Lember)
 - Fix displaying screenshots of fonts, which do not have predictable sizes (Richard Hughes)
 - Fix the details layout when a package has a long licence string (Richard Hughes)
 - Make the category view sidebar match the mockup more closely (Elad Alfassa)
 - Move install button to a more prominent place (Kalev Lember)
 - Never reuse a GCancellable to prevent a crash (Richard Hughes)
 - Refresh the details page after remove confirmation dialog (Kalev Lember)
 - Show a different message when downloading updates (Richard Hughes)
 - Update help strings for command line arguments (Kalev Lember)
 - Use CSS for tile styling (Kalev Lember)
 - Use GQueue for the back entry (Kalev Lember)

Version 3.13.4
~~~~~~~~~~~~~~
Released: 2014-07-23

* Translations:
 - Updated Brazilian Portuguese translation (Enrico Nicoletto, Georges Neto)
 - Updated Chinese (Taiwan) translation (Cheng-Chia Tseng)
 - Updated Galician translations (Fran Diéguez)
 - Updated Greek translation (MarMav)
 - Updated Norwegian bokmål translation. (Kjartan Maraas)
 - Updated Russian translation (Yuri Myasoedov)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Thai translation (Akom Chotiphantawanon)
 - Updated Turkish translation (Muhammet Kara)

* New Features:
 - New first run dialog (Kalev Lember)
 - Automatically suggest new application picks based on a heuristic (Richard Hughes)
 - Improved screenshot resizing / padding / sharpening (Richard Hughes)
 - New --prefer-local command line option to test local appdata files (Richard Hughes)

* Bugfix:
 - Update hardcoded desktop filenames (Michael Catanzaro, Kalev Lember)
 - Port gnome-software core to use several libappstream-glib data structures
   directly instead of duplicating them (Richard Hughes)
 - Adapt for spinner sizing changes in GTK+ (Kalev Lember)
 - Fix the build with clang (Ting-Wei Lan)
 - Use a valid icon size for the stop button in the updates page (Kalev Lember)
 - Fix a small memory leak in the AppStream plugin (Richard Hughes)
 - Support new-style AppStream kudos (Richard Hughes)
 - Award a Kudo if an application has perfect screenshots (Richard Hughes)
 - Never show installed software in the 'Picks' section (Richard Hughes)
 - Only show applications in 'Other' that did not match any other subcategories (Richard Hughes)
 - Add more desktop file keywords (Kalev Lember)
 - Misc. spelling and wording fixes (Michael Catanzaro, Kalev Lember)

Version 3.13.3
~~~~~~~~~~~~~~
Released: 2014-06-24

* Translations:
 - Added Turkish translation (Muhammet Kara)
 - Updated Chinese (Taiwan) translation (Cheng-Chia Tseng)
 - Updated Galician translations (Fran Diéguez)
 - Updated Hungarian translation (Balázs Úr)
 - Updated Italian translation (Gianvito Cavasoli)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Thai translation (Akom Chotiphantawanon)

* New Features:
 - Support for application addons, available on app details page (Kalev Lember)
 - A new GSettings key that can be used for disabling automatic update downloads (Kalev Lember)
 - Added desktop file search keywords (Kalev Lember)

* Bugfix:
 - Various fixes and improvements to update notifications (Kalev Lember)
 - Show system apps on the Installed page (Kalev Lember)
 - Improve the sorting order on the Installed page (Kalev Lember)
 - Show a placeholder when no update details are available (Kalev Lember)
 - update dialog: Show full version for updates (Kalev Lember)
 - Improve error handling for app install / removal (Kalev Lember)
 - Don't cancel the search when pressing enter too quickly (Kalev Lember)
 - Update theming for recent Adwaita changes (Kalev Lember)
 - Dogtail test suite fixes (Martin Simon)
 - Do not log a warning when trying to parse MetaInfo files (Richard Hughes)
 - AppStream: Do not rely on X-Kudo-RecentRelease (Richard Hughes)
 - ... and some other minor bug fixes and internal restructuring

Version 3.13.2
~~~~~~~~~~~~~~
Released: 2014-05-28

* Translations:
 - Added Catalan (Valencian) translation (Carles Ferrando)
 - Added Khmer translation (Khoem Sokhem)
 - Added Swedish translation (Mattias Eriksson)
 - Updated Catalan translation (Jordi Mas)
 - Updated Czech translation (Marek Černocký)
 - Updated French translation (Alexandre Franke)
 - Updated Galician translations (Fran Diéguez)
 - Updated Greek translation (Tom Tryfonidis)
 - Updated Hungarian translation (Balázs Úr)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Polish translation (Piotr Drąg)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)

* New Features:
 - Implement search-as-you-type in the overview (Elad Alfassa)
 - Make the project licenses hyperlinked to the SPDX site (Richard Hughes)
 - Move installed updates review to a dialog (Kalev Lember)
 - Support both old-style and new-style appdata files (Richard Hughes)

* Bugfix:
 - Add Kalev to AUTHORS (Richard Hughes)
 - Add <project_license> to the AppData file (Richard Hughes)
 - app widget: Don't reserve space for buttons in the update viewing mode (Kalev Lember)
 - Break out common code for a list of updates in a separate class (Kalev Lember)
 - Depend on a new appstream-glib (Richard Hughes)
 - Don't show _Pending in the header (Matthias Clasen)
 - Fix the formatting specifiers for the i386 build with newer GCCs (Richard Hughes)
 - GsApplication: Cancel the cancellable on shutdown (Kalev Lember)
 - GsApplication: Don't stay running as a service when not asked to (Kalev Lember)
 - menu-spec: Fix translation of some categories (Matthias Clasen)
 - Never put 'Complicated' in the license field (Richard Hughes)
 - Rename GsAppWidget to GsAppRow (Kalev Lember)
 - Replace deprecated gtk_widget_reparent use (Kalev Lember)
 - update dialog: Draw a separator between listbox items (Kalev Lember)
 - update dialog: Implement better back button state tracking (Kalev Lember)
 - update dialog: Use a GtkStack instead of manually hiding widgets (Kalev Lember)
 - Use the AppData files in all of the datadirs (Richard Hughes)

Version 3.13.1
~~~~~~~~~~~~~~
Released: 2014-04-28

* Translations:
 - Added Basque language (Inaki Larranaga Murgoitio)
 - Added French translation (AlainLojewski)
 - Added Lithuanian translation (Aurimas Černius)
 - Added Portuguese translation (Tiagosdot)
 - Added Telugu Translation (Praveen Illa)
 - Fix typo in Catalan translation (Jordi Mas)
 - Updated Brazilian Portuguese translation (Rafael Ferreira)
 - Updated Catalan translation (Pau Iranzo)
 - Updated Chinese (China) translation (Sphinx Jiang, Wylmer Wang)
 - Updated Chinese (Taiwan) translation (Cheng-Chia Tseng)
 - Updated Czech translation (Marek Černocký)
 - Updated Danish translation (Ask H. Larsen)
 - Updated Finnish translation update (Jiri Grönroos)
 - Updated Galician translation (Fran Diéguez)
 - Updated German translation (Christian Kirbach)
 - Updated Greek translation (Dimitris Spingos, maria thukididu)
 - Updated Hungarian translation (Gábor Kelemen)
 - Updated Indonesian translation (Andika Triwidada)
 - Updated Italian translation (Gianvito Cavasoli)
 - Updated Korean translation (Seong-ho Cho)
 - Updated Latvian translation (Rūdolfs Mazurs)
 - Updated Lithuanian translation (Aurimas Černius)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Punjabi translation (A S Alam)
 - Updated Russian translation (Stas Solovey, Yuri Myasoedov)
 - Updated Slovak translation (Peter Mráz)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Thai translation (Akom Chotiphantawanon)
 - Updated Traditional Chinese translation (Chao-Hsiung Liao)
 - Updated Ukrainian translation (Daniel Korostil)

* New Features:
 - Add an extra star if the IBus component defines a symbol (Richard Hughes)
 - Add some more dogtail tests (Martin Simon)
 - Load app-install data on Ubuntu systems (Richard Hughes)
 - Popular applications should imply a certain level of quality (Richard Hughes)
 - Port from GSimpleAsyncResult to GTask (Kalev Lember)
 - Port to using Appstream-Glib in the AppStream and AppData plugins (Richard Hughes)
 - Show an infobar with explanatory text for webapps (Kalev Lember)
 - Show the time we last checked for updates (Kalev Lember)
 - Update landing page 'Picks' (Jakub Steiner)
 - Use a popover for the add folder subdialog (Matthias Clasen)
 - Use package descriptions for applications on Ubuntu and Debian (Richard Hughes)

* Bugfix:
 - Add translation context in a number of places (Matthias Clasen)
 - Always return valid results when using the shell search provider (Richard Hughes)
 - Always show the featured background gradient (Richard Hughes)
 - Bump minimum gtk+ version to 3.11.5 (Kalev Lember)
 - Call g_set_prgname to set correct name for a11y tests (Vadim Rutkovsky)
 - Do not blacklist rpmfusion from the sources dialog (Richard Hughes)
 - Do not show 'Installed' on the app tile when actually installing (Richard Hughes)
 - Don't crash in the search provider for apps with missing icons (Kalev Lember)
 - Don't generate .service and .desktop file from config.status (Matthias Clasen)
 - Fade in the loading spinner in the sources dialog (Kalev Lember)
 - Fix build with PackageKit < 0.9.1 (Dominique Leuenberger)
 - Fix showing recently installed updates (Kalev Lember)
 - Fix threadsafety issues with gtk icon theme use (Kalev Lember)
 - Grab focus to the entry in the app folder dialog (Matthias Clasen)
 - Hide the screenshot widget when it cannot be loaded (Richard Hughes)
 - Improve display of recently installed updates (Matthias Clasen)
 - Improve thread safety in the plugin loader (Kalev Lember)
 - Only show installed update notification once (Kalev Lember)
 - Only show non-empty folders in the shell (Matthias Clasen)
 - Select newly created app folders (Matthias Clasen)
 - Set an icon name for the main window (Richard Hughes)
 - Set the main window as the parent for error dialogs (Kalev Lember)
 - Show the repo name in the sources dialog (Richard Hughes)
 - Sort the results by kudo for the shell sort provider (Richard Hughes)
 - Update the last installed timestamp after successful offline updates (Kalev Lember)
 - Update URLs in the DOAP file (Piotr Drąg)
 - Use a valid icon size for symbolic icons (Cosimo Cecchi)
 - Use context to translate subcategory titles (Frédéric Péters)

Version 3.11.92
~~~~~~~~~~~~~~~
Released: 2014-03-19

* Translations:
 - Chinese (China)
 - Chinese (Taiwan)
 - Czech
 - Danish
 - Finnish
 - French
 - Galician
 - German
 - Hungarian
 - Indonesian
 - Korean
 - Latvian
 - Lithuanian
 - Polish
 - Portuguese
 - Punjabi
 - Spanish
 - Ukrainian

* New Features:
 - Use a popover for add folder subdialog
 - Show time of last update check
 - Add more tests

* Bug fixes:
 - Set parent for error dialogs
 - Only show non-empty folders in the shell
 - Fix crash with non-ASCII folder names
 - Remove stale notifications
 - Update last installed timestamp after offline updates
 - Fix showing recently installed updates
 - Improve display of recently installed updates

Version 3.11.91
~~~~~~~~~~~~~~~
Released: 2014-03-05

* Translations:
 - Updated Czech translation (Marek Černocký)
 - Updated Finnish translation (Jiri Grönroos)
 - Updated Polish translation (Piotr Drąg)

* New Features:
 - Add CSS for infobar theming (Kalev Lember)
 - Add support for the AppStream <languages> tag (Richard Hughes)
 - Add the concept of 'kudos' to an application (Richard Hughes)
 - Award a kudo if an application is available in the users language (Richard Hughes)
 - Award a kudo if an application is featured or recommended (Richard Hughes)
 - Award a kudo if an application ships an AppData screenshot (Richard Hughes)

* Bugfix:
 - Do not show local applications that do not have an icon specified (Richard Hughes)
 - Do not use gtk_icon_theme_load_icon() as it's not thread safe (Richard Hughes)
 - Don't show missing history on a local package install (Kalev Lember)
 - Fade in the loading spinner (Kalev Lember)
 - Fix multiple bugs that caused the menu path not to be shown (Richard Hughes)
 - Improve tile layout in the category view (Kalev Lember)
 - Let the 'origin' span 3 columns (Kalev Lember)
 - Make use of the PackageKit summary in details when available (Giovanni Campagna)
 - Remove Settings category from the desktop file (Giovanni Campagna)
 - Remove the "Getting software details…" label (Kalev Lember)
 - Show the filename for local package installation (Kalev Lember)
 - Support the AppStream <project_license> tag (Richard Hughes)
 - Update software source message wording (Kalev Lember)
 - Use a per-list sort key when randomizing a list (Richard Hughes)
 - Use application/x-executable icon for local packages (Kalev Lember)
 - Use different icons for repo packages and addons (Kalev Lember)
 - Use new-style dialogs (Matthias Clasen)
 - Warn when overwriting metadata keys that already exist (Richard Hughes)

Version 3.11.90
~~~~~~~~~~~~~~~
Released: 2014-02-17

* Translations:
 - Updated Czech translation (Marek Černocký)
 - Updated Galician translation (Fran Diéguez)
 - Updated Greek translation (Dimitris Spingos)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Spanish translation (Daniel Mustieles)

* New Features:
 - Add 4 different infobars to show for local package types (Richard Hughes)
 - Add an initial version of the privacy policy for usage stats (Richard Hughes)
 - Load a core moduleset from a file (Richard Hughes)
 - Show some UI to remove external sources (Richard Hughes)
 - Show the installed application source in the details view (Richard Hughes)

* Bugfix:
 - Add devassistant in the Development featured section (Richard Hughes)
 - Add missing mnemonics and accessible names (Matthias Clasen)
 - Allow different distros to refine the list of hardcoded popular applications (Richard Hughes)
 - Allow specifying the optional text-shadow for the featured applications (Richard Hughes)
 - Automatically de-duplicate gs_app_add_related() (Richard Hughes)
 - Do not show software sources in the updates panel (Richard Hughes)
 - Don't show such a big gap on the details page if there are no screenshots (Richard Hughes)
 - Load the GNOME moduleset from a file rather than hardcoding (Richard Hughes)
 - Promote packages found in the desktop-db to kind normal+desktop (Richard Hughes)
 - Specify text-shadow to improve legibility (Jakub Steiner)
 - Set the application description for long single line package descriptions (Richard Hughes)

Version 3.11.5
~~~~~~~~~~~~~~
Released: 2014-02-03

* Translations:
 - Updated Chinese simplified translation (YunQiang Su)
 - Updated Czech translation (Marek Černocký)
 - Updated German translation (Christian Kirbach)
 - Updated German translation; implementing bug report 719868 (Benjamin Steinwender)
 - Updated Greek translation (Dimitris Spingos)
 - Updated Serbian translation (Мирослав Николић)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Traditional Chinese translation (Cheng-Chia Tseng)

* New Features:
 - Add a concept of a rating confidence to each application (Richard Hughes)
 - Add a file handler to allow Software to install local packages (Richard Hughes)
 - Allow each plugin to define deps on other plugins (Richard Hughes)
 - Generate the 'Picks' on the overview automatically (Richard Hughes)
 - Show a star widget for each application in the category panel (Richard Hughes)
 - Some design updates for app folders (Matthias Clasen)
 - Update to the latest designs that allow refreshing of the update lists (Richard Hughes)

* Bugfix:
 - Add a plugin to optionally collect install/remove stats data (Richard Hughes)
 - Allow multiple plugins to set the name, summary and description (Richard Hughes)
 - Allow plugins to remove applications when resolving (Richard Hughes)
 - Create default app folders (Matthias Clasen)
 - Fix a crash when using gs_app_subsume() in a thread (Richard Hughes)
 - Make the Transmission banner less critical (Jakub Steiner)
 - Never show '[0]' in the installed panel tab (Richard Hughes)
 - Prepopulate Sundry and Utilities (Matthias Clasen)
 - Respect category mapping with App folders (Matthias Clasen)
 - Reunify launcher and service into one binary (Matthias Clasen)
 - Selection mode improvements for 'Installed' (Matthias Clasen)
 - Updated FSF's address (Daniel Mustieles)
 - Update to a new version of the tagger API to provide ratings confidence (Richard Hughes)

Version 3.11.4
~~~~~~~~~~~~~~
Released: 2013-01-16

* Translations:
 - Updated Brazilian Portuguese Translation proofread by Enrico Nicoletto (Rafael Ferreira)
 - Updated Czech translation (Marek Černocký)
 - Updated Finnish translation (Jiri Grönroos)
 - Updated Galician translation (Fran Diéguez)
 - Updated Greek translation (Dimitris Spingos)
 - Updated Korean translation (Seong-ho Cho)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)

* New Features:
 - Add Ardour to the featured list (Jakub Steiner)
 - Add a --enable-dogtail configure switch (Richard Hughes)
 - Add a dep to gsettings-desktop-schemas (Richard Hughes)
 - Add a test for actions (Matthias Clasen)
 - Add some work-in-progress UI tests (Matthias Clasen, Colin Walters)
 - Initial port of the PackageKit session interface (Richard Hughes)

* Bugfix:
 - Add some accessible names to widgets (Matthias Clasen)
 - Don't notify every hour for available updates (Giovanni Campagna)
 - Drop spinner for screenshot loading (Matthias Clasen)
 - Ensure all calls to pkexec use g_child_watch_add() (Richard Hughes)
 - Ensure that the application ratings are set correctly (Richard Hughes)
 - Fix the name of the offline update file (Richard Hughes)
 - Fix the speed regression by using the correct icon cache key (Richard Hughes)
 - Look up app folder names (Matthias Clasen)
 - Make app folder configuration available (Matthias Clasen)
 - Recognize if installed by jhbuild (Giovanni Campagna)
 - Show the 'Launch' button for installed web-apps too (Richard Hughes)
 - Some updates to the app folder dialog (Matthias Clasen)
 - Update project homepage url (William Jon McCann)
 - Updates to the app widget layout (Matthias Clasen)

Version 3.11.3
~~~~~~~~~~~~~~
Released: 2013-12-17

* Translations:
 - Updated Brazilian Portuguese translation (Rafael Ferreira)
 - Updated Czech translation (Marek Černocký)
 - Updated Finnish translation (Jiri Grönroos)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Traditional Chinese translation (Cheng-Chia Tseng)
 - Updated Slovak translation (Dušan Kazik)

* New Features:
 - More freatured apps (Jakub Steiner)
 - Show the user-set ratings in a different color to system values (Richard Hughes)

* Bugfix:
 - Be less alarming when notifying the user (Richard Hughes)
 - Class changed for searchbars (Jakub Steiner)
 - Do not show empty 'blank' update descriptions (Richard Hughes)
 - Do not use the deprecated gtk_widget_set_margin_left (Richard Hughes)
 - Don't clear the offline update data early (Richard Hughes)
 - Fix a crasher in the screenshot loader (Richard Hughes)
 - Fix a potentially invalid read spotted by valgrind (Richard Hughes)
 - Fix automake warning about trailing whitespace (Colin Walters)
 - Fix small issues in app-folder-dialog.ui (Matthias Clasen)
 - Never show '0' as the updates counter (Richard Hughes)
 - Replace the firefox icon with a highres (Jakub Steiner)
 - Return the error details in the GError if the offline update failed (Richard Hughes)
 - Show an error message if getting the historical update list failed (Richard Hughes)
 - Use a mnemonic in the details panel (Richard Hughes)
 - Use the system symbolic star icons (Richard Hughes)

Version 3.11.2
~~~~~~~~~~~~~~
Released: 2013-11-19

* Translations:
 - Updated Brazilian Portuguese translation (Enrico Nicoletto)
 - Updated Chinese simplified translation (Wylmer Wang)
 - Updated Finnish translation (Jiri Grönroos)

* New Features:
 - Add a 'Launch' button to the application details page (Richard Hughes)
 - Add a dialog to edit app folders (Matthias Clasen)
 - Add a selection mode to the installed list (Matthias Clasen)
 - Download updates in the background (Matthias Clasen)
 - Make links clickable in the ChangeLog descriptions (Richard Hughes)
 - Use proxy settings (Matthias Clasen)

* Bugfix:
 - Be a lot more subtle for the updates indicator (Jakub Steiner)
 - Do not assert when the app goes from 'unavailable' to 'available' (Richard Hughes)
 - Do not require exactly correct size screenshots (Richard Hughes)
 - Do not show a warning when there were no search results found (Richard Hughes)
 - Don't crash when there is no AppStream data (Colin Walters)
 - Don't notify for available updates if we have a window active (Richard Hughes)
 - Don't show a modified date in 1970 for webapps (Richard Hughes)
 - Extract the correct language for preformatted AppStream (Richard Hughes)
 - Move the install and check timeouts to GSettings schema (Richard Hughes)
 - Never show two 'Addon' headers in the installed panel (Richard Hughes)
 - Only mark the stars as sensitive if the application is installed (Richard Hughes)
 - Parse the update descriptions as markdown (Richard Hughes)
 - Perform an 'AND' search when using keywords, not an 'OR' search (Richard Hughes)
 - Refresh the updates panel if the update state changes (Richard Hughes)
 - Reload the cache if AppStream files are changed (Richard Hughes)
 - Resolve the package when GetDetails() or GetUpdateDetail() is needed (Richard Hughes)
 - Set a minimum width for application details pages (Richard Hughes)
 - Show the featured application with the correct background (Richard Hughes)
 - Use GSettings for the compatible desktops (Richard Hughes)
 - Use a darker backdrop for screenshots (Jakub Steiner)
 - Use a larger screenshot size when there is only one screenshot to show (Richard Hughes)
 - Use the new UTF-8 safe searching functionality in GLib (Richard Hughes)

Version 3.11.1
~~~~~~~~~~~~~~
Released: 2013-10-28

* Translations:
 - Added Indonesian translation (Andika Triwidada)
 - Added Latvian translation (Rūdolfs Mazurs)
 - Updated Brazilian Portuguese translation (Enrico Nicoletto)
 - Updated Brazilian Portuguese translation (Rafael Ferreira)
 - Updated Czech translation (Marek Černocký)
 - Updated Galician translations (Fran Diéguez)
 - Updated German translation (Alexander Wilms)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Italian translation. (Gianvito Cavasoli)
 - Updated Norwegian bokmål translation (Kjartan Maraas)
 - Updated Polish translation (Piotr Drąg)
 - Updated Serbian translation (Мирослав Николић )
 - Updated Slovenian translation (Martin Srebotnjak)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)
 - Updated Traditional Chinese translation (Cheng-Chia Tseng)

* New Features:
 - Add a loading icon to empty tiles (Matthias Clasen)
 - Add a module to submit the user rating to the fedora-tagger web service (Richard Hughes)
 - Add a plugin to read local installed AppData (Richard Hughes)
 - Add a search provider (Matthias Clasen)
 - Add a test binary gnome-software-cmd which is useful for profiling (Richard Hughes)
 - Add profiling functionality that can show a boot-chart log of startup (Richard Hughes)
 - Add screenshots to each application if specified in the AppStream metadata (Richard Hughes)
 - Add support for 'missing' codecs that we know exist but we can't install (Richard Hughes)
 - Add support for epiphany web applications (Richard Hughes)
 - Add transitions to the screenshots (Matthias Clasen)
 - Add update monitoring (Matthias Clasen)
 - Allow an application to have multiple sources (Richard Hughes)
 - Allow search-by-mimetype in the UI (Richard Hughes)
 - Handle offline installation sensibly (Matthias Clasen)
 - Support AppStream screenshot captions (Richard Hughes)
 - Support the Ubuntu extension 'X-AppInstall-Package' in desktop files (Richard Hughes)
 - Support the per-repo icon directories (Richard Hughes)
 - Turn gnome-software into a service (Matthias Clasen)
 - Use GNotification (Matthias Clasen)

* Bugfix:
 - Allow the AppStream metadata to enforce core applications (Richard Hughes)
 - Always show 'Remove' in the details panel for updatable applications (Richard Hughes)
 - Avoid clipped graphic in the featured banner (Jakub Steiner)
 - Avoid reloading the overview more than once (Matthias Clasen)
 - Correctly abort if PackageKit transactions fail (Richard Hughes)
 - Do not abort if the AppStream XML is invalid (Richard Hughes)
 - Do not crash if an icon is set to an empty string (Richard Hughes)
 - Do not crash if the AppData metadata does not have <pkgname> (Richard Hughes)
 - Do not crash if there is no /usr/share/appdata directory (Richard Hughes)
 - Do not crash when startup up without network access (Richard Hughes)
 - Do not fail to get the updates if getting the history fails (Richard Hughes)
 - Do not install plugins just used in 'make check' (Richard Hughes)
 - Do not load SVG icons when parsing desktop files to speed up startup (Richard Hughes)
 - Do not offer to 'Launch' addons like fonts and codecs (Richard Hughes)
 - Do not show insanely long licence strings (Richard Hughes)
 - Do not show local applications without icons, names or comments (Richard Hughes)
 - Do not use search using PackageKit by default (Richard Hughes)
 - Do not use the package icon when referring to software (Richard Hughes)
 - Don't emit a critical warning if there are no AppStream icons (Richard Hughes)
 - Don't emit notify::state from a thread (Matthias Clasen)
 - Fix a critical error in gs_string_replace (Richard Hughes)
 - Fix a few small memory leaks (Richard Hughes)
 - Improve a11y on the details page (Matthias Clasen)
 - Improve keynav on the search and details pages (Matthias Clasen)
 - Improve the AppData file with more screenshots and a better description (Richard Hughes)
 - Make the screenshot error state prettier (Matthias Clasen)
 - Match the AppStream ID when searching (Richard Hughes)
 - Monitor network status (Matthias Clasen)
 - Never show the 'Remove' buttons in the update panel (Richard Hughes)
 - Notify about the correct application when installing from the details panel (Richard Hughes)
 - Only filter incompatible project groups when searching (Richard Hughes)
 - Prevent memory corruption when doing dedupe() more than once (Richard Hughes)
 - Remove the duplicate application with the lowest priority (Richard Hughes)
 - Remove the escape chars when unmunging the XML content (Richard Hughes)
 - Run the local ratings plugin before the hardcoded one (Richard Hughes)
 - Save the user rating if the user clicks the rating stars (Richard Hughes)
 - Set a cache age when using PackageKit (Richard Hughes)
 - Show 'Add-ons' in a seporate group on the installed shell (Richard Hughes)
 - Show a modal error message if install or remove actions failed (Richard Hughes)
 - Show a overlay of 'Updates' for updatable applications (Richard Hughes)
 - Show a star rating on the application details page (Richard Hughes)
 - Show font screenshots (Richard Hughes)
 - Show more detailed version numbers when required (Richard Hughes)
 - Show system applications at the end of the installed list (Richard Hughes)
 - Show the best locale when using AppData files for the description (Richard Hughes)
 - Show the package licence when available (Richard Hughes)
 - Show the screenshots in the application detail panel (Richard Hughes)
 - Sort the search results in a sane way (Richard Hughes)
 - Store all kinds of URL in the GsApp (Richard Hughes)
 - Support full markup in AppStream descriptions (Richard Hughes)
 - Use PackageKit if the licence or URL was not provided by AppStream (Richard Hughes)
 - Use a 96x96 icon if available on the details panel (Richard Hughes)
 - Use an API version when installing runtime loadable modules (Richard Hughes)
 - When de-duplicating packages preserve the updatable state (Richard Hughes)
 - When searching for codec names, use the keyword name (Richard Hughes)

Version 3.10.0
~~~~~~~~~~~~~~
Released: 2013-09-24

* Note:
 - This is a technical preview for GNOME 3.10 -- lots of functionality is
   missing and many bugs remain unsquashed, but the application is basically
   functional at this stage.

* Translations:
 - Added Italian translation (Gianvito Cavasoli)
 - Added Japanese translation (Jiro Matsuzawa)
 - Added Korean translation (Seong-ho Cho)
 - Added uk translation (Daniel Korostil)
 - Updated Brazilian Portuguese translation (Rafael Ferreira)
 - Updated Czech translation (Marek Černocký)
 - Updated Danish translation (Kris Thomsen)
 - Updated Finnish translation (Timo Jyrinki)
 - Updated Galician translations (Fran Diéguez)
 - Updated German translation (Eduard Gotwig)
 - Updated Hungarian translation (Balázs Úr)
 - Updated Hungarian translation (Gabor Kelemen)
 - Updated Polish translation (Piotr Drąg)
 - Updated Slovenian translation (Martin Srebotnjak)
 - Updated Spanish translation (Daniel Mustieles)

* New Features:
 - Add a plugin to query the PackageKit prepared-update file directly (Richard Hughes)
 - Add hardcoded 'featured' subcategories (Matthias Clasen)
 - Add installed overlay to app tiles (Matthias Clasen)
 - Do not load incompatible projects when parsing AppStream data (Richard Hughes)

* Bugfix:
 - Actually enforce squareness of popular tiles (Matthias Clasen)
 - Add accessible relations in the overview page (Matthias Clasen)
 - Add global shortcuts for the back button (Matthias Clasen)
 - Add missing summary element to the AppStream data (Matthias Klumpp)
 - Avoid undue jumping in the overview page (Matthias Clasen)
 - Deal gracefully with missing AppData (Matthias Clasen)
 - Do not clear the offline-update trigger if rebooting succeeded (Richard Hughes)
 - Do not manually hide categories that have no results (Richard Hughes)
 - Do not show empty categories in the overview screen (Richard Hughes)
 - Don't explode when using metadata with 'type=font' (Richard Hughes)
 - Don't start the application if the command line arguments were wrong (Richard Hughes)
 - Fallback to .svg icon if .png is not found (Dominique Leuenberger)
 - Fix up about dialog (Matthias Clasen)
 - Give tiles a meaningful empty state (Matthias Clasen)
 - Improve appearance of the update details list (Matthias Clasen)
 - Improve keynav in category view (Matthias Clasen)
 - Look sharp in HighContrast too (Matthias Clasen)
 - Make feature strings wrap (Matthias Clasen)
 - Make the size of featured categories accurate (Matthias Clasen)
 - Never show 'Unknown' in the package history listbox (Richard Hughes)
 - Never show the 'Settings' category (Richard Hughes)
 - Padding tweaks in the overview (Matthias Clasen)
 - Rename General to Other and sort it to the end (Matthias Clasen)
 - Show the window right away (Matthias Clasen)
 - Support AppStream metadata formats where the icon extension is not specified (Richard Hughes)
 - Translate the AppData file (Richard Hughes)

Version 3.9.3
~~~~~~~~~~~~~
Released: 2013-09-13

* Translations:
 - Update British English translation (Philip Withnall)
 - Updated Brazilian Portuguese translation (Enrico Nicoletto, Georges Basile Stavracas Neto)
 - Updated Catalan translation (Jordi Mas)
 - Updated Czech translation (Marek Černocký)
 - Updated Finnish translation (Jiri Grönroos)
 - Updated Galician translations (Fran Diéguez)
 - Updated German translation (Christian Kirbach)
 - Updated Hebrew translation (Yaron Shahrabani, Elad Alfassa)
 - Updated Polish translation (Piotr Drąg)
 - Updated Slovenian translation (Matej Urbančič)
 - Updated Spanish translation (Daniel Mustieles)

* New Features:
 - Add a better icon for 'no results found' (Matthias Clasen)
 - Add a new application icon (Andreas Nilsson)
 - Add a packagekit-history plugin that sets history data on applications (Richard Hughes)
 - Add a plugin to get a list of the processed offline updates (Richard Hughes)
 - Add featured data based on new mockups (Matthias Clasen)
 - Add gs_app_to_string() for dumping all properties and metadata on a GsApp (Richard Hughes)
 - Add Settings and PackageManager as menu spec categories (Richard Hughes)
 - Add support for translations in AppStream (Giovanni Campagna)
 - Add the ability to see the history of a package (Richard Hughes)
 - Parse the keywords in the AppStream metadata (Richard Hughes)
 - Read data from featured.ini (Matthias Clasen)

* Bugfix:
 - Add a dummy history item to applications with no history (Richard Hughes)
 - Add a way to force certain features (Matthias Clasen)
 - Add gettext context for subcategory names (Richard Hughes)
 - Better dropshadow theme with active state (Jakub Steiner, Elad Alfassa)
 - Break out the lots of separate widgets (Matthias Clasen)
 - Convert a few GsApp metadata items into properties and clarify the differences (Richard Hughes)
 - Do not decompress icons when first running gnome-software (Richard Hughes)
 - Do not include the Fedora AppStream data in the upstream tarball (Richard Hughes)
 - Do not show available packages when installed results are available when searching (Richard Hughes)
 - Don't override the state if already known (Giovanni Campagna)
 - Ensure the same app from two different plugins does not show more than once (Richard Hughes)
 - Fix a typo in a translatable string (Piotr Drąg)
 - Fix up visiblity handling for header buttons (Matthias Clasen)
 - Get names and comments for the correct locale in datadir-apps (Richard Hughes)
 - Ignore ENOENT reading the .desktop filename (Giovanni Campagna)
 - Improve category tiles and the category pages (Matthias Clasen)
 - Load all AppStream files from /usr/share/app-info/xmls (Richard Hughes)
 - Make application details scroll (Matthias Clasen)
 - Make debug env vars always available (Matthias Clasen)
 - Make feature style code safe against reloading (Matthias Clasen)
 - Make "installed badge" more legible (Jakub Steiner)
 - Make subcategory list scrollable (Matthias Clasen)
 - Make symbolic icons dim (Matthias Clasen)
 - Never fail refine() if a single icon failed to load (Richard Hughes)
 - Notify when an app is installed (Matthias Clasen)
 - Remove the hardcoded description plugin, it's all in the appdata markup now (Richard Hughes)
 - Search all datadirs at startup so that local builds can use the system AppStream data (Richard Hughes)
 - Search the appstream data for name, summary, description and keywords (Richard Hughes)
 - Set the app version in packagekit-refine if not already set (Richard Hughes)
 - Show app details from search in window (Matthias Clasen)
 - Show a warning when new jhbuild users have no sample data (Richard Hughes)
 - Support AppStream data in /var/cache/app-info/xmls so support too (Richard Hughes)
 - Support the older gzip content type too (Richard Hughes)
 - Tweak punctuation for command line documentation (Philip Withnall)
 - Use 'File System' instead of 'Filesystem' (Philip Withnall)
 - When loading a specific mode at startup don't wait for the overview to load (Richard Hughes)

Version 3.9.2
~~~~~~~~~~~~~
Released: 2013-09-03

* Translations:
 - Add Catalan translation (Jordi Mas)

* New Features:
 - Allow stock items in the AppStream XML (Richard Hughes)
 - Extract the AppStream URL and description from the XML (Richard Hughes)
 - Updated Brazilian Portuguese translation (Georges Basile Stavracas Neto)

* Bugfix:
 - GsShellCategory: cancel loading when appropriate (Matthias Clasen)
 - Make the XML parser a little more accepting of unknown data (Richard Hughes)
 - Only present the window when the overview is complete (Matthias Clasen)
 - Return the subcategories sorted by name (Richard Hughes)
 - Update the AppStream metadata hash (Richard Hughes)
 - Use a plural form for the category name (Richard Hughes)

Version 3.9.1
~~~~~~~~~~~~~
Released: 2013-09-02

* New Features:
 - Software is a new application management program for the GNOME desktop.
 - This first release is an early technical preview and is designed for people
   to test out the application and to file bugs.
